Texa DeskDevelopers

Texa Desk Application API · Reports

Account Reporting Events

GET/api/v1/accounts/{account_id}/reporting_events

Get paginated reporting events for the account. This endpoint returns reporting events such as first response time, resolution time, and other metrics. Only administrators can access this endpoint. Results are paginated with 25 items per page.

Authorization

api_access_tokenheaderrequired

A person's access token (Texa Desk, Profile settings → Access token) or an agent bot's token, in the api_access_token header. It acts as that person, with their role's permissions.

Path parameters

account_idintegerrequired

The numeric ID of the account

Query parameters

pageinteger

The page parameter

sincestring

The timestamp from where events should start (Unix timestamp in seconds)

untilstring

The timestamp from where events should stop (Unix timestamp in seconds)

inbox_idnumber

Filter events by inbox ID

user_idnumber

Filter events by user/agent ID

namestring

Filter events by event name (e.g., first_response, resolution, reply_time)

Responses

200

Success

metaobject
meta.countinteger

Total number of reporting events

meta.current_pageinteger

Current page number

meta.total_pagesinteger

Total number of pages

payloadarray of object

List of reporting events

payload[].idnumber

ID of the reporting event

payload[].namestring

Name of the event (e.g., first_response, resolution, reply_time)

payload[].valuenumber

Value of the metric in seconds

payload[].value_in_business_hoursnumber

Value of the metric in seconds, calculated only for business hours

payload[].event_start_timestring (date-time)

The timestamp when the event started

payload[].event_end_timestring (date-time)

The timestamp when the event ended

payload[].account_idnumber

ID of the account

payload[].conversation_idnumber

ID of the conversation

payload[].inbox_idnumber

ID of the inbox

payload[].user_idnumber

ID of the user/agent

payload[].created_atstring (date-time)

The timestamp when the reporting event was created

payload[].updated_atstring (date-time)

The timestamp when the reporting event was last updated

403

Access denied - Only administrators can access this endpoint

descriptionstring
errorsarray of object
errors[].fieldstring
errors[].messagestring
errors[].codestring